org.apache.torque.generator.outlet.java

## Class PackageToPathOutlet

- java.lang.Object
- - org.apache.torque.generator.outlet.OutletImpl
  - - org.apache.torque.generator.outlet.java.OutletWithoutMergepoints
    - - org.apache.torque.generator.outlet.java.StringInputOutlet
      - - org.apache.torque.generator.outlet.java.PackageToPathOutlet

- All Implemented Interfaces:
    Outlet

      public class PackageToPathOutlet
      extends StringInputOutlet

  Takes a package as input and generates a path from it.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PackageToPathOutlet(QualifiedName qualifiedName)` Constructor for use in child classes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OutletResult` | `execute(ControllerState controllerState)` Reads the input and replaces all dots by slashes.

    - ### Methods inherited from class org.apache.torque.generator.outlet.java.StringInputOutlet

      `getInput, setInputOption, setInputSourceElement, setInputValue, setInputVariable, setSourceElementAttribute`

    - ### Methods inherited from class org.apache.torque.generator.outlet.java.OutletWithoutMergepoints

      `addMergepointMapping, getMergepointMapping`

    - ### Methods inherited from class org.apache.torque.generator.outlet.OutletImpl

      `afterExecute, beforeExecute, getInputClass, getInputElementName, getMergepointMappings, getName, getVariable, mergepoint, setInputClass, setInputElementName, setMergepointMapping, setVariable, setVariable, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PackageToPathOutlet

          public PackageToPathOutlet(QualifiedName qualifiedName)

      Constructor for use in child classes.
      Parameters:
        `qualifiedName` - the fully qualified name of the outlet.

  - ### Method Detail

    - #### execute

          public OutletResult execute(ControllerState controllerState)
                               throws GeneratorException

      Reads the input and replaces all dots by slashes.
      Specified by:
        `execute` in interface `Outlet`
      Specified by:
        `execute` in class `OutletImpl`
      Parameters:
        `controllerState` - the current controller state, not null.
      Returns:
        the output of the Outlet.
      Throws:
        `GeneratorException` - if generation fails.
      See Also:
        `Outlet.execute(ControllerState)`

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.